package com.develop.main.init.ui.adapter


import android.widget.ImageView
import androidx.appcompat.widget.AppCompatTextView
import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.develop.food.base.data.model.ModelsModel
import com.develop.food.base.ext.background_drawable
import com.develop.main.R

class ModesGalleryAdapter : BaseQuickAdapter<ModelsModel,BaseViewHolder>(R.layout.item_mode_card_view) {
    override fun convert(holder: BaseViewHolder, item: ModelsModel) {
        holder.getView<AppCompatTextView>(R.id.tv_mode_name).text =item.modeName
        holder.getView<ImageView>(R.id.ic_icon).background_drawable = item.resId
    }


}